Package com.databricks.jdbc.telemetry

## Class TelemetryHelper

- java.lang.Object
- - com.databricks.jdbc.telemetry.TelemetryHelper

    public class TelemetryHelper
    extends Object

### Constructor Summary

Constructors
`TelemetryHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `exportFailureLog​(IDatabricksConnectionContext connectionContext, String errorName, String errorMessage)`
`static void` `exportInitialTelemetryLog​(IDatabricksConnectionContext connectionContext)`
`static void` `exportLatencyLog​(long executionTime)`
`static void` `exportLatencyLog​(IDatabricksConnectionContext connectionContext, long latencyMilliseconds, DriverVolumeOperation volumeOperationEvent)`
`static com.databricks.sdk.core.DatabricksConfig` `getDatabricksConfigSafely​(IDatabricksConnectionContext context)`
`static DriverSystemConfiguration` `getDriverSystemConfiguration()`
`static boolean` `isTelemetryAllowedForConnection​(IDatabricksConnectionContext context)`
`static void` `updateClientAppName​(String clientAppName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TelemetryHelper

    public TelemetryHelper()

### Method Detail

#### getDriverSystemConfiguration

    public static DriverSystemConfiguration getDriverSystemConfiguration()

#### updateClientAppName

    public static void updateClientAppName​(String clientAppName)

#### isTelemetryAllowedForConnection

    public static boolean isTelemetryAllowedForConnection​(IDatabricksConnectionContext context)

#### exportInitialTelemetryLog

    public static void exportInitialTelemetryLog​(IDatabricksConnectionContext connectionContext)

#### exportFailureLog

    public static void exportFailureLog​(IDatabricksConnectionContext connectionContext,
                                        String errorName,
                                        String errorMessage)

#### exportLatencyLog

    public static void exportLatencyLog​(long executionTime)

#### exportLatencyLog

    public static void exportLatencyLog​(IDatabricksConnectionContext connectionContext,
                                        long latencyMilliseconds,
                                        DriverVolumeOperation volumeOperationEvent)

#### getDatabricksConfigSafely

    public static com.databricks.sdk.core.DatabricksConfig getDatabricksConfigSafely​(IDatabricksConnectionContext context)